Subject: [KEYPROV] New version of PSKC

From: "Philip Hoyer" <[email-masked]>
Date: Fri, 28 Aug 2009 18:56:04 +0200

Ladies and Gentlemen,

Please find attached the new version of PSKC.

Changes:

*	incorporated all of the feedback from Andrea and Sean.
*	reference name change to the new DerivedKey element (moved to XMLEnc11)
*	Corrected AES example to include (prepend) IV inline with XMLENC spec and mentions IV handling.

I have one big problem:

The samples that Ming sent out for PBE and RSA do not match the ones in the spec.

Especially the PBE is different form the one Ming already says was corrected.

Based on the new XML Enc 1.1 spec for PBE and DerivedKeys. Are we sure we are aligned here?

This is the only thing that needs to be clarified.

Otherwise,

What do I need to do now.

Do I just submit or send to Russ and Pasi directly?

Philip

________________________________

Philip Hoyer 

Senior Architect - Office of CTO

ActivIdentity (UK)

117 Waterloo Road

London SE1 8UL

Telephone: +44 (0) 20 7960 0220

Fax: +44 (0) 20 7902 1985

Private and confidential: This message and any attachments may contain

privileged / confidential information. If you are not an intended recipient,

you must not copy, distribute, discuss or take any action in reliance on it.

If you have received this communication in error, please notify the sender

and delete this message immediately.

---

From: "Pei, Mingliang" <[email-masked]>
Date: Fri, 28 Aug 2009 10:21:03 -0700

Hi Philip,
 
Just note that the example with RSA will change every time we run a program where some random data was picked during the encryption for RSA. I have a program to verify the data. The PBE example should match with the given PBE generation parameters (salt, iteration) and IV for CBC. For the PBE example, did you use your version or the ones that I updated earlier? Could you point me to the date that I sent sample data? I will dig into where the differences are from.
 
- Ming

	From: Philip Hoyer [mailto:[email-masked]] 
	Sent: Friday, August 28, 2009 9:56 AM
	To: [email-masked]; Phillip Hallam-Baker; Pei, Mingliang; Salah Machani; Sean Turner
	Cc: Doherty, Andrea; Magnus Nyström; KEYPROV
	Subject: New version of PSKC

	Ladies and Gentlemen,

	Changes:

	I have one big problem:

	Otherwise,

	Philip

	Philip Hoyer 

	ActivIdentity (UK)

	117 Waterloo Road

	London SE1 8UL

---

From: Sean Turner <[email-masked]>
Date: Fri, 28 Aug 2009 14:11:53 -0400

Philip,

Hannes or Phillip have to send it to Pasi with an RFC 4898 write-up 
(commonly referred to as the proto write-up).  There's 11 questions they 
have to answer from section 3.1 of that RFC.  In the past I've drafted 
responses for WG Chairs to speed things along, but in the end either 
Hannes or Phillip have to send it.

spt

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Fri, 28 Aug 2009 21:17:21 +0300

Thanks Philip. Will look through it. 
 
I will have to do the PROTO shepherd review and then I submit it to with the PROTO writeup to the IESG secretary (with CC to the ADs). 

	From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Philip Hoyer
	Sent: 28 August, 2009 19:56
	To: [email-masked]; Phillip Hallam-Baker; Pei, Mingliang; Salah Machani; Sean Turner
	Cc: Magnus Nyström; Doherty,Andrea; KEYPROV
	Subject: [KEYPROV] New version of PSKC

	Ladies and Gentlemen,

	Changes:

	I have one big problem:

	Otherwise,

	Philip

	Philip Hoyer 

	ActivIdentity (UK)

	117 Waterloo Road

	London SE1 8UL